<?php
function read_file_with_timing($file_path) {
    $startTime = microtime(true);

    $data = file_get_contents($file_path);

    $endTime = microtime(true);
    $duration = $endTime - $startTime;

    return [
        'data' => $data,
        'duration' => $duration * 1000 // Dauer in Millisekunden
    ];
}

// Beispielaufruf
$result = read_file_with_timing('c:\xampp\htdocs\modharbourclub\speedtests\data\database.dbf');
echo "Lesezeit: " . $result['duration'] . " ms\n";
?>
